aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-physics/meep/meep-0.10.ebuild')
-rw-r--r--sci-physics/meep/meep-0.10.ebuild17
1 files changed, 6 insertions, 11 deletions
diff --git a/sci-physics/meep/meep-0.10.ebuild b/sci-physics/meep/meep-0.10.ebuild
index 15c46228b..d3debfd33 100644
--- a/sci-physics/meep/meep-0.10.ebuild
+++ b/sci-physics/meep/meep-0.10.ebuild
@@ -23,13 +23,8 @@ DEPEND="sci-libs/fftw
src_unpack() {
unpack ${A}
cd "${S}"
- # --enable-shared gave text realloc on amd64
- # autoreconf with latest which seems ok.
- sed -i \
- -e 's/SHARED(no)/SHARED(yes)/' \
- configure.ac || die "sed failed"
- # eautoreconf gives errors
- autoreconf -fi || die "autoreconf failed"
+ epatch "${FILESDIR}"/${P}-configure.ac.patch
+ AT_M4DIR="m4" eautoreconf
}
src_compile() {
@@ -42,9 +37,9 @@ src_compile() {
}
src_install() {
- emake install DESTDIR=${D} || die "emake install failed"
- dodoc AUTHORS COPYRIGHT NEWS README TODO
+ emake install DESTDIR="${D}" || die "emake install failed"
+ dodoc AUTHORS COPYRIGHT NEWS README TODO || die "dodoc failed"
insinto /usr/share/doc/${PF}
- use doc && doins doc/meep.pdf
- use examples && doins -r examples
+ use doc && { doins doc/meep.pdf || die "install doc failed"; }
+ use examples && { doins -r examples || die "install examples failed"; }
}